.sortings {
  .dropdown__selected {
    @extend %ellipsis;
  }
}

.sortings__content {
  max-height: inherit;
  display: flex;
  flex-direction: column;
}

.sortings__none {
  padding: 4px;
  margin: 16px 20px;
}

.sortings__none-title {
  font-weight: 600;
  font-size: 14px;
  margin-bottom: 10px;
}

.sortings__none-description {
  font-size: 13px;
}

.sortings__items {
  display: flex;
  flex-direction: column;
  padding: 12px 0;
  gap: 12px;

  &--scrollable {
    overflow-y: scroll;
  }
}

.sortings__item {
  position: relative;
  padding: 0 12px;
  @include rounded($rounded);
  @include flex-align-items(10px);

  &:not(:last-child) {
    margin-bottom: 6px;
  }

  &.sortings__item--loading {
    padding-left: 44px;

    &::before {
      content: '';
      margin-top: -7px;

      @include loading(14px);
      @include absolute(50%, auto, 0, 15px);
    }
  }
}

.sortings__remove {
  font-size: 20px;
  color: $color-neutral-900;
  justify-content: center;
  width: 22px;

  @include flex-align-items();

  &:hover {
    text-decoration: none;
    color: $color-neutral-500;
  }

  .sortings__item--loading & {
    display: none;
  }
}

.sortings__description {
  flex: 0 0 50px;
  width: 50px;
  margin-right: 10px;

  span {
    padding-left: 12px;
  }
}

.sortings__field {
  margin-right: 10px;
  flex: 0 0 120px;

  .dropdown,
  .dropdown__selected {
    width: 120px;
  }
}

.sortings__order {
  display: flex;
}

.sortings__order-item {
  justify-content: center;
  flex-wrap: nowrap;
  height: 32px;
  color: $color-neutral-900;
  font-weight: 600;
  width: 80px;
  font-size: 14px;
  @include rounded($rounded);
  @include flex-align-items(5px);

  &:not(:last-child) {
    margin-right: 10px;
  }

  > div {
    font-weight: 600;

    &:not(:last-child) {
      margin-right: 8px;
    }
  }

  &:hover {
    background-color: $color-neutral-100;
    text-decoration: none;

    .sortings__order--disabled & {
      cursor: inherit;
      background-color: transparent;
    }
  }

  &.active {
    background-color: $color-primary-100;

    .sortings__order--disabled & {
      background-color: $color-neutral-100;
    }
  }
}

.sortings__add {
  margin: 12px 0 6px 4px;

  @include flex-align-items(4px, inline-flex);

  &:hover {
    text-decoration: none;
    color: $color-neutral-900;
  }
}

.sortings__add-icon {
  font-size: 20px;
}

.sortings__footer {
  border-top: 1px solid rgba(217, 219, 222, 0.5);
  padding: 8px 12px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}
